GUIX(1)

NAME
guix - manual page for guix environment (GNU Guix) 0.9.0

SYNOPSIS
guix environment [OPTION]... PACKAGE... [-- COMMAND...]

DESCRIPTION
Build an environment that includes the dependencies of PACKAGE and execute COMMAND or an interactive shell in that environment.

-e, --expression=EXPR
    create environment for the package that EXPR evaluates to

-l, --load=FILE
    create environment for the package that the code within FILE evaluates to

--ad-hoc
    include all specified packages in the environment instead of only their inputs

--pure
    unset existing environment variables

--search-paths
    display needed environment variable definitions

-s, --system=SYSTEM
    attempt to build for SYSTEM--e.g., "i686-linux"

-C, --container
    run command within an isolated container

-N, --network
    allow containers to access the network

--share=SPEC
    for containers, share writable host file system according to SPEC

--expose=SPEC
    for containers, expose read-only host file system according to SPEC

--bootstrap
    use bootstrap binaries to build the environment

-L, --load-path=DIR
    prepend DIR to the package module search path

-K, --keep-failed
    keep build tree of failed builds

-n, --dry-run
    do not build the derivations

--fallback
    fall back to building when the substituter fails

--no-substitutes
    build instead of resorting to pre-built substitutes

--substitute-urls=URLS
    fetch substitute from URLS if they are authorized

--no-build-hook
    do not attempt to offload builds via the build hook

--max-silent-time=SECONDS
    mark the build as failed after SECONDS of silence

--timeout=SECONDS
    mark the build as failed after SECONDS of activity

--verbosity=LEVEL
    use the given verbosity LEVEL

-c, --cores=N
    allow the use of up to N CPU cores for the build

-M, --max-jobs=N
    allow at most N build jobs

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <http://www.gnu.org/software/guix/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2015 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.